## librcd 0.1.14

=== src/CMakeLists.txt ===
if (NOT WIN32)
    SET(BUILD_SHARED_LIBS ON)
endif (NOT WIN32)

SET(CMAKE_INCLUDE_CURRENT_DIR ON)

SET(HEADERS 
    librcd.h
)

SET(rcd_SRCS
    librcd.c
    russian_table.h
    ${HEADERS}
)

ADD_LIBRARY(rcd ${rcd_SRCS})

## librcd 0.1.13

=== debian/changelog ===
librcd (0.1.13-3build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 08:22:26 +0100

librcd (0.1.13-3) unstable; urgency=low

  * QA upload.
  * Package has been orphaned, set maintainer to Debian QA.
  * Stop shipping la file.
  * Remove duplicate section field in debian/control.
  * Fix spelling error in debian/control.
  * Use proper © character in debian/copyright.
  * Bump Standards-Version to 3.9.2.

 -- Regis Boudin <regis@debian.org>  Wed, 21 Sep 2011 20:10:24 +0100

librcd (0.1.13-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
    - add misc:Depends
  * change rules to new debhelper
  * chande source format to 3.0(quilt)
  * fix watch file

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 16 Apr 2010 23:35:45 +0400

librcd (0.1.13-1) unstable; urgency=low

  * New upstream release
  * Change License - GPL2 to LGPL2.1

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 17 Jan 2009 10:47:28 +0300

librcd (0.1.12-2) unstable; urgency=low

  * Fix License - GPL to GPL2

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 26 Dec 2008 03:13:35 +0300

librcd (0.1.12-1) unstable; urgency=low

  * NO Repack original source - original is good
  * New upstream release

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 16 Dec 2008 20:58:01 +0300

librcd (0.1.11-3) unstable; urgency=low

  * Repack original source
  * del source.lintian-overrides

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 09 Dec 2008 01:04:47 +0300

librcd (0.1.11-2) unstable; urgency=low

  * add source.lintian-overrides when original code is not fox
  * fix clean error when original Makefile is exist
  * add watch file

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 20 Nov 2008 23:03:00 +0300

librcd (0.1.11-1) unstable; urgency=low

  * Initial release (Closes: #507295)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 16 Nov 2008 03:17:57 +0300

=== debian/control ===
Source: librcd
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), automake, libtool
Standards-Version: 3.9.2
Section: libs
Homepage: http://rusxmms.sourceforge.net/

Package: librcd0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for autodection charset of Russian text
 LibRCD is used by RusXMMS project for encoding auto-detection.
 It is optimized to handle very short titles, like ID3 tags, 
 file names and etc, and provides very high accuracy even 
 for short 3-4 letter words.
 Current version supports Russian and Ukrainian languages 
 and able to distinguish UTF-8, KOI8-R, CP1251, CP866, ISO8859-1.
 If compared with Enca, LibRCC provides better detection accuracy
 on short titles and is able to detect ISO8859-1 (non-cyrillic) 
 encoding what allows one to properly display correct ID3 v.1 titles.

Package: librcd-dev
Section: libdevel
Architecture: any
Depends: librcd0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Library for autodection charset of Russian text - dev files
 Library for autodection charset of Russian text

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_clean:
	test ! -f Makefile || $(MAKE) clean distclean distclean-am
	rm -f examples/Makefile statgen/Makefile
	rm -rf aclocal.m4
	rm -f configure examples/Makefile config.guess ltmain.sh config.sub config.h.in
	find ./ -name 'Makefile.in' -delete
	dh_clean

## librcd 0.1.14

=== debian/changelog ===
librcd (0.1.14-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.1.14.
  * debian/control: Add Vcs-* fields.
  * debian/control: Use Priority: optional.
  * Bump Standards-Version to 4.6.0.
  * debian/control: Apply "wrap-and-sort -abst".
  * Bump to debhelper v13.
  * debian/rules: Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Oct 2021 19:14:26 -0400

=== debian/control ===
Source: librcd
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://rusxmms.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/librcd.git
Vcs-Browser: https://salsa.debian.org/debian/librcd

Package: librcd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librcd0 (= ${binary:Version}),
 ${misc:Depends},
Description: Library for autodection charset of Russian text - dev files
 LibRCD is used by RusXMMS project for encoding auto-detection.
 It is optimized to handle very short titles, like ID3 tags,
 file names and etc, and provides very high accuracy even
 for short 3-4 letter words.
 Current version supports Russian and Ukrainian languages
 and able to distinguish UTF-8, KOI8-R, CP1251, CP866, ISO8859-1.
 If compared with Enca, LibRCC provides better detection accuracy
 on short titles and is able to detect ISO8859-1 (non-cyrillic)
 encoding what allows one to properly display correct ID3 v.1 titles.
 .
 This package provides library development files.

Package: librcd0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for autodection charset of Russian text
 LibRCD is used by RusXMMS project for encoding auto-detection.
 It is optimized to handle very short titles, like ID3 tags,
 file names and etc, and provides very high accuracy even
 for short 3-4 letter words.
 Current version supports Russian and Ukrainian languages
 and able to distinguish UTF-8, KOI8-R, CP1251, CP866, ISO8859-1.
 If compared with Enca, LibRCC provides better detection accuracy
 on short titles and is able to detect ISO8859-1 (non-cyrillic)
 encoding what allows one to properly display correct ID3 v.1 titles.
 .
 This package provides shared library files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

execute_before_dh_auto_configure:
	./autogen.sh

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://dside.dyndns.org/files/rusxmms/librcd-([0-9.]*)\.tar\.bz2
